module Test
  module Unit
    module Assertions
      def assert_true(boolean, message = nil)
        assert(boolean, message)
      end

      def assert_false(boolean, message = nil)
        _wrap_assertion do
          assert_block(build_message(message, "<?> should be false or nil.", boolean)) { !boolean }
        end
      end

      def assert_raise_with_message(exception_class, message, &block)
        exception = assert_raise(exception_class, &block)
        assert_equal(message, exception.message)
      end
    end
  end
end
